Package org.gradle.external.javadoc

# Enum Class JavadocMemberLevel

java.lang.Object
java.lang.Enum<JavadocMemberLevel>
org.gradle.external.javadoc.JavadocMemberLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<JavadocMemberLevel>`, `Constable`

public enum JavadocMemberLevel extends Enum<JavadocMemberLevel>
This enum maps to the -public, -protected, -package and -private options of the javadoc executable.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PACKAGE`
Shows only package, protected, and public classes and members.
`PRIVATE`
Shows all classes and members.
`PROTECTED`
Shows only protected and public classes and members.
`PUBLIC`
Shows only public classes and members.

## Method Summary

Modifier and Type
Method
Description
`static JavadocMemberLevel`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static JavadocMemberLevel[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PUBLIC

public static final JavadocMemberLevel PUBLIC
Shows only public classes and members.

### PROTECTED

public static final JavadocMemberLevel PROTECTED
Shows only protected and public classes and members. This is the default.

### PACKAGE

public static final JavadocMemberLevel PACKAGE
Shows only package, protected, and public classes and members.

### PRIVATE

public static final JavadocMemberLevel PRIVATE
Shows all classes and members.

## Method Details

### values

public static JavadocMemberLevel[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static JavadocMemberLevel valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null